package com.zd.laboratory.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 随手拍记录对象 lab_photo_note
 *
 * @author 周攀
 * @date 2021-09-10
 */
@ApiModel("随手拍记录")
public class LabPhotoNote extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 图片地址
     */
    @Excel(name = "图片地址")
    @ApiModelProperty(value = "图片地址")
    private String imgUrl;
    /**
     * 处理人ID
     */
    @Excel(name = "处理人ID")
    @ApiModelProperty(value = "处理人ID")
    private Long handleUser;
    /**
     * 处理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "处理时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "处理时间")
    private Date handleTime;
    /**
     * 处理标记 0：待处理 1：已处理
     */
    @Excel(name = "处理标记 0：待处理 1：已处理")
    @ApiModelProperty(value = "处理标记 0：待处理 1：已处理")
    private Integer handleStatus;
    /**
     * 部门id
     */
    @Excel(name = "部门id")
    @ApiModelProperty(value = "部门id")
    private Long deptId;
    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    /**
     * 创建人（用于数据权限）
     */
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    @ApiModelProperty(value = "创建人")
    private Long userId;
    /**
     * 实验室ID
     */
    @Excel(name = "实验室ID")
    @ApiModelProperty(value = "实验室ID")
    private Long subjectId;
    /**
     * 描述
     */
    @Excel(name = "描述")
    @ApiModelProperty(value = "描述")
    private String describe = "";

    /**
     * 处理描述
     */
    @Excel(name = "处理描述")
    @ApiModelProperty(value = "处理描述")
    private String handleDescribe;

    /**
     * 处理后照片，图片地址(多个用，隔开)
     */
    @Excel(name = "处理后照片，图片地址(多个用，隔开)")
    @ApiModelProperty(value = "处理后照片，图片地址(多个用，隔开)")
    private String handleImg;

    /**
     * 能够处理随手拍的人，用，隔开
     */
    @ApiModelProperty(value = "能够处理随手拍的人，用，隔开")
    private String handleUsers;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setHandleUser(Long handleUser) {
        this.handleUser = handleUser;
    }

    public Long getHandleUser() {
        return handleUser;
    }

    public void setHandleTime(Date handleTime) {
        this.handleTime = handleTime;
    }

    public Date getHandleTime() {
        return handleTime;
    }


    public Integer getHandleStatus() {
        return handleStatus;
    }

    public void setHandleStatus(Integer handleStatus) {
        this.handleStatus = handleStatus;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public String getDescribe() {
        return describe;
    }

    public String getHandleDescribe() {
        return handleDescribe;
    }

    public void setHandleDescribe(String handleDescribe) {
        this.handleDescribe = handleDescribe;
    }

    public String getHandleImg() {
        return handleImg;
    }

    public void setHandleImg(String handleImg) {
        this.handleImg = handleImg;
    }

    public String getHandleUsers() {
        return handleUsers;
    }

    public void setHandleUsers(String handleUsers) {
        this.handleUsers = handleUsers;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("imgUrl", getImgUrl())
                .append("handleUser", getHandleUser())
                .append("handleTime", getHandleTime())
                .append("handleStatus", getHandleStatus())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("subjectId", getSubjectId())
                .append("describe", getDescribe())
                .toString();
    }
}
